Hi,

here is another patch from Adrian Bunk to remove a compiler warning 
and make the TMS380 ISA card work when compiled into the kernel (not as 
module).

Cheers,
Jochen
---------- Forwarded message ----------
Date: Mon, 17 Dec 2001 00:56:38 +0100 (CET)
From: Adrian Bunk <bunk@fs.tum.de>
To: Jochen Friedrich <jochen@scram.de>
Subject: Re: Some compiler warnings in 2.4.17-pre5

On Fri, 14 Dec 2001, Jochen Friedrich wrote:

> Hi Adrian,

Hallo Jochen,

> Additinally, you will need to add tmsisa to Space.c, or it will compile
> but never initialize if it's statically linked into the kernel.

d.h. der folgende (ungetestete) Patch sollte besser sein (ich habe
portlist jetzt einfach verschoben um ein weiteres #ifdef zu vermeiden).

Hast du so eine Karte und kannst ausprobieren ob es damit funktioniert und
wenn ja den Patch weiterschicken?

--- drivers/net/tokenring/tmsisa.c.old		 Mon Dec 17 00:43:11 2001
+++ drivers/net/tokenring/tmsisa.c		 Mon Dec 17 00:44:06 2001
@@ -40,12 +40,6 @@

 #define TMS_ISA_IO_EXTENT 32

-/* A zero-terminated list of I/O addresses to be probed. */
-static unsigned int portlist[] __initdata = {
-		 0x0A20, 0x1A20, 0x0B20, 0x1B20, 0x0980, 0x1980, 0x0900, 0x1900,// SK
-		 0
-};
-
 /* A zero-terminated list of IRQs to be probed.
  * Used again after initial probe for sktr_chipset_init, called from sktr_open.
  */
@@ -367,6 +361,12 @@
 #ifdef MODULE

 #define ISATR_MAX_ADAPTERS 3
+
+/* A zero-terminated list of I/O addresses to be probed. */
+static unsigned int portlist[] __initdata = {
+		 0x0A20, 0x1A20, 0x0B20, 0x1B20, 0x0980, 0x1980, 0x0900, 0x1900,// SK
+		 0
+};

 static int io[ISATR_MAX_ADAPTERS];
 static int irq[ISATR_MAX_ADAPTERS];
--- drivers/net/Space.c.old		 Mon Dec 17 00:44:29 2001
+++ drivers/net/Space.c		 Mon Dec 17 00:49:00 2001
@@ -540,6 +540,7 @@
 #ifdef CONFIG_TR
 /* Token-ring device probe */
 extern int ibmtr_probe(struct net_device *);
+extern int tms_isa_probe(struct net_device *dev);
 extern int smctr_probe(struct net_device *);

 static int
@@ -548,6 +549,9 @@
     if (1
 #ifdef CONFIG_IBMTR
 		 && ibmtr_probe(dev)
+#endif
+#ifdef CONFIG_TMSISA
+		 && tms_isa_probe(dev)
 #endif
 #ifdef CONFIG_SMCTR
 		 && smctr_probe(dev)


> Cheers,
> Jochen

cu
Adrian



